<?php
/**
 * SQLite DBO_Storage implementation.
 *
 * $Horde: framework/RDO/RDO/Storage/sqlite.php,v 1.5.2.1 2005/10/18 11:01:23 jan Exp $
 *
 * @package RDO
 */
class RDO_Storage_sqlite extends RDO_Storage_sql {

    /**
     * Human-readable name for this Storage driver.
     *
     * @var string $name
     */
    public $name = 'SQLite';

    /**
     * Free any resources that are open.
     */
    public function __destruct()
    {
    }

    public function describe(RDO_Mapper $mapper, RDO_MetaData $metadata)
    {
    }

    /**
     * Use for SELECT and anything that returns rows.
     */
    public function query($sql)
    {
    }

    /**
     * Use for INSERT, UPDATE, DELETE. Returns number of affected
     * rows.
     */
    public function execute($sql)
    {
    }

    public function begin()
    {
    }

    public function commit()
    {
    }

    public function rollback()
    {
    }

}
